QT5OPTIONS(7)

NAME
qt5options - Allgemeine Befehlszeilenparameter für alle Anwendungen, die auf dem Qt(TM)-Toolkit basieren.

ÜBERSICHT

Qt application [-style= style / -style style] [-stylesheet= stylesheet / -stylesheet stylesheet] [-widgetcount] [-reverse] [-qmljsdebugger= port] [-platform platformName[:options]] [-platformpluginpath path] [-platformtheme platformTheme] [-plugin plugin] [-qwindowgeometry geometry] [-qwindowicon icon] [-qwindowtitle title] [-reverse] [-session session] [-display hostname:screen_number] [-geometry geometry] [-dialogs= [xp|none]] [-fontengine= freetype] [-h, --help and -? on Windows®] [-v --version]

OPTIONEN

Die folgenden Parameter gelten für alle Qt(TM)-Anwendungen:

-style= style / -style style
    Legt den GUI-Stil der Anwendung fest. Mögliche Werte hängen von der Einstellung des Systems ab. Wurde Qt(TM) mit zusätzlichen Stilen kompiliert oder gibt es zusätzliche Stile als Module, können diese als Argumente für die Option -style der Befehlszeile verwendet werden.

-stylesheet= stylesheet / -stylesheet stylesheet
    Legt die Stilvorlage der Anwendung fest. Als Wert muss ein Pfad zu einer Datei mit dem Stile angegeben werden.

-widgetcount
    Gibt am Ende eine Fehlermeldung mit der Anzahl der nicht freigegebenen Bedienelemente sowie die gesamte Anzahl der zu diesem Zeitpunkt existierenden Bedienelemente aus.

-reverse
    Legt die Richtung des Layouts der Anwendung auf Qt::RightToLeft fest. Diese Option ist nur für die Fehlersuche gedacht und sollte normalerweise nicht verwendet werden. Der Standardwert wird automatisch aus der Spracheinstellung des Benutzers ermittelt, siehe auch QLocale::textDirection().

-qmljsdebugger= port
    Aktiviert den QML/JS-Debugger mit dem angegebenen Port. Der Wert muss im Format „port:1234[,block]“ angeben werden, dabei ist „block“ optional. Mit „block“ wartet eine Anwendung auf eine Verbindung zu einem Debugger.

-platform platformName[:options]
    Gibt das QPA-Modul (Qt(TM) Platform Abstraction) an.

-platformpluginpath path
    Gibt den Pfad zu den Plattformmodulen an.

-platformtheme platformTheme
    Legt das Design der Plattform fest.

-plugin plugin
    Gibt zusätzlich zu ladende Module an. Dieses Argument kann mehrfach verwendet werden.

-qwindowgeometry geometry
    Gibt die Geometrie des Hauptfensters für X11-Systeme am, zum Beispiel geometry x100+50+50

-qwindowicon icon
    Legt die Standardsymbol des Fensters fest.

-qwindowtitle title
    Legt den Titel des ersten Fensters fest.

-session session
    Wiederherstellung der Anwendung von einer früheren Sitzung.

-display hostname:screen_number
    Wechselt die Anzeige auf X11-Systemen. Überschreibt die Umgebungsvariable DISPLAY.

-geometry geometry
    Gibt die Geometrie des Hauptfensters für X11-Systeme am, zum Beispiel geometry 100x100+50+50.

-dialogs= [xp|none]
    Nur verfügbar für „-platform windows“. Mit „xp“ werden die nativen Dialoge im XP-Stile verwendet, mit „none“ werden sie ausgeschaltet.

-fontengine= freetype
    Verwendet das FreeType-schriftmodul.

-h, --help und -? unter Windows®
    Zeigt alle Optionen und eine Beschreibung der Anwendung an.

-v --version
    Zeigt die Version der Anwendung an.

SIEHE AUCH

kf5options(7)

AUTOREN

Die Handbuchseite wurde ursprünglich von Lauri Watts<lauri@kde.org> geschrieben

Aktualisierung für Frameworks 5 durch Burkhard Lück <lueck@hube-lueck.de>

Die Informationen dieser Handbuchseite stammen von der QApplication-Dokumentation[1], der QGuiApplication-Dokumentation[2] und der QCommandLineParser-Dokumentation[3].

AUTOREN

Lauri Watts <lauri@kde.org>
    Autor.

Burkhard Lück <lueck@hube-lueck.de>
    Autor.

FUßNOTEN

1.  QApplication-Dokumentation
    https://doc.qt.io/qt-5/qapplication.html#QApplication

2.  QGuiApplication-Dokumentation
    https://doc.qt.io/qt-5/qguiapplication.html#QGuiApplication

3.  QCommandLineParser-Dokumentation
    https://doc.qt.io/qt-5/qcommandlineparser.html